> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Static Component



## OpenAPI

````yaml POST /api/v1/status-pages/{statusPageId}/static-components
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/status-pages/{statusPageId}/static-components:
    post:
      tags:
        - status-pages
      summary: Create a static component
      operationId: ManagementStaticComponentController_create_v1
      parameters:
        - name: statusPageId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateStaticComponentDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    CreateStaticComponentDto:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        groupId:
          type: string
        startDate:
          type: string
          description: YYYY-MM-DD
        displayUptime:
          type: boolean
      required:
        - name
        - startDate
        - displayUptime
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````